> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 점수 생성

> 점수를 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/scores
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/scores:
    post:
      tags:
        - Scores
      summary: 점수 생성
      description: 점수를 생성합니다.
      operationId: score_create_v2__entity___project__scores_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScoreCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScoreCreateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ScoreCreateBody:
      description: |-
        REST API를 통해 Score를 생성할 때 사용하는 요청 본문입니다.

        이 모델에는 project_id가 포함되지 않습니다. RESTful endpoints의 URL 경로에서 가져오기 때문입니다.
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 점수를 하위 call로 연결하기 위한 선택 Evaluation run ID
          title: Evaluation Run Id
        prediction_id:
          description: prediction ID
          title: Prediction Id
          type: string
        scorer:
          description: scorer 레퍼런스(weave:// URI)
          title: Scorer
          type: string
        value:
          description: Scorer의 원시 출력
          title: Value
      required:
        - prediction_id
        - scorer
        - value
      title: ScoreCreateBody
      type: object
    ScoreCreateRes:
      properties:
        score_id:
          description: 점수 ID
          title: Score Id
          type: string
      required:
        - score_id
      title: ScoreCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````